<?php
namespace Controller;
use Zeedhi\Framework\DataSource\DataSet;
use Zeedhi\Framework\DTO\Request;
use Zeedhi\Framework\DTO\Response;
use Service;
use Util;


class TaskWorkitem {

    private $taskWorkitem;

	public function __construct(Service\TaskWorkitem $taskWorkitem){
		$this->taskWorkitem = $taskWorkitem;
	}

	public function findItemtrab(Request\Filter $request, Response $response){
        $conditions = $request->getFilterCriteria()->getConditions();
        $page = $request->getFilterCriteria()->getPage();
        $pageSize = $request->getFilterCriteria()->getPageSize();
		$dataSet = $this->taskWorkitem->findItemtrab($conditions, $page, $pageSize);
		$response->addDataSet(new DataSet('findItemtrab', $dataSet));
	}

    public function findItemtrabRelatedToIssuesByTaskId(Request\Filter $request, Response $response)
    {
        $conditions = $request->getFilterCriteria()->getConditions();
        $page = $request->getFilterCriteria()->getPage();
        $pageSize = $request->getFilterCriteria()->getPageSize();
        $dataSet = $this->taskWorkitem->findItemtrabRelatedToIssuesByTaskId($conditions, $page, $pageSize);
        $response->addDataSet(new DataSet('findItemtrabRelatedToIssuesByTaskId', $dataSet));
    }
}
