<?php
/**
 * Created by PhpStorm.
 * User: rafaelrapalo
 * Date: 29/05/14
 * Time: 10:33
 */

namespace Factory;

use Zeedhi\DevOps\Model\Projectmanagement\Entities;

class Meeting
{

    /**
     * @param Entities\Meeting $entity
     * @param Entities\Project $project
     * @param \DateTime $taskPeriodEnd
     * @param \DateTime $taskPeriodStart
     * @param \DateTime $issuePeriodEnd
     * @param \DateTime $issuePeriodStart
     * @return Entities\Meeting
     */
    public function saveMeeting(Entities\Meeting $entity = null, Entities\Project $project, \DateTime $taskPeriodEnd = null,
                                \DateTime $taskPeriodStart = null, \DateTime $issuePeriodEnd = null,
                                \DateTime $issuePeriodStart = null, $allowScheduleFilter)

    {
        if (empty($entity)) {
            $entity = new Entities\Meeting();
        }
        $entity->setProject($project);
        $entity->setTaskDateStart($taskPeriodStart);
        $entity->setTaskDateEnd($taskPeriodEnd);
        $entity->setIssueDateStart($issuePeriodStart);
        $entity->setIssueDateEnd($issuePeriodEnd);
        $entity->setAllowScheduleFilter($allowScheduleFilter);
        return $entity;
    }

}
